/* 
import java.sql.Connection ;
import java.sql.DriverManager ;
import java.sql.SQLException ;
import java.sql.Statement ;
import java.sql.ResultSet ;
*/

// STEP 1: import java.sql packages
import java.sql.* ;

import java.io.* ;
import java.util.Random ;

public class jdbcExample1 {
  public static void main(String[] args) {

  int sid, age, rating ;
  String name ;

  Connection conn = null ;


  // STEP 2:  create a connection
  try {

	conn = DriverManager.getConnection("jdbc:mysql://localhost/Sailors4?" + 
			"user=leut&password=pigpig" ) ;

  }
  catch (SQLException ex ) {
  	System.out.println("SQLException: " + ex.getMessage()) ;
  	System.out.println("SQLState: " + ex.getSQLState()) ;
  	System.out.println("VendorError: " + ex.getErrorCode()) ;
  }


  Statement stmt = null ;
  ResultSet rs = null ;

  try {

    // STEP 3: execute a query
    stmt = conn.createStatement() ;
	rs = stmt.executeQuery("Select * from sailors where sid > 101 and sid < 120") ;

	// Step 4: get data from result
	while (rs.next() ) {

	  // specify the column name, eg:  rs.getInt("sid")
	  sid = rs.getInt("sid") ;
	  age = rs.getInt("age") ;
	  rating = rs.getInt("rating") ;
	  name = rs.getString("name") ;
	  System.out.print("sid: " + sid) ;
	  System.out.print(", name: " + name) ;
	  System.out.print(", age: " + age) ;
	  System.out.println(", rating: " + rating) ;
	}

	// STEP 5: clean up
	rs.close() ;
	stmt.close() ;
	conn.close() ;

  }

  catch (SQLException ex ) {
  	System.out.println("SQLException: " + ex.getMessage()) ;
  	System.out.println("SQLState: " + ex.getSQLState()) ;
  	System.out.println("VendorError: " + ex.getErrorCode()) ;
  }




  }
}
